Subject: Re: ZPyGreSQLDA Compile
From: Jason Tishler <[email-masked]>
To: Sherwood Robinson <[email-masked]>
Cc: [email-masked]
Date: Thu, 7 Jun 2001 14:40:16 -0400

Sherwood,

On Thu, Jun 07, 2001 at 01:40:17PM -0400, Sherwood Robinson wrote:
> At 12:14 PM 6/7/2001 -0400, Jason Tishler wrote:
> >BTW, why don't you use the pre-built _pgmodule.dll that is part of the
> >Cygwin PostgreSQL 7.1.2 distribution?
> 
> Oh because I am new to cygwin, PostgreSQL and this whole compile thing and 
> I was just following the instructions with the source that is about 2 years 
> old.  As a matter of fact I may have done that already.  I changed my Start 
> file so that is was different and got a different output message.
> 
> new message
> 
> gcc -DUSE_DL_IMPORT -g -O2 -Wall -Wstrict-prototypes -I/usr/include/python2.1 -
> /usr/include/python2.1 -DHAVE_CONFIG_H  -I/cygwin/usr/src/postgresql-7.1.2/src/
> nclude -c ././pgmodule.c -o ./pgmodule.o
> ././pgmodule.c:30: libpq-fe.h: No such file or directory
> ././pgmodule.c:31: libpq/libpq-fs.h: No such file or directory
> make: *** [pgmodule.o] Error 1
> 
> Trying to find what is targeting the files that are there but it can't find 
> now.

The -I/cygwin/usr/src/postgresql-7.1.2/src/nclude above looks suspicious.
Where is it coming from?  Is it a typo?  Are you building inside of the
PostgreSQL source tree or out?

If inside, then the compile line should look like:

    gcc -DUSE_DL_IMPORT -g -O2 -Wall -Wstrict-prototypes -I/usr/include/python2.1 -I/usr/include/python2.1 -DHAVE_CONFIG_H  -I../../../src/interfaces/libpq -I../../../src/include -I/usr/local/include -c ././pgmodule.c -o ./pgmodule.o

If outside, then the compile line should look (something) like:

    gcc -DUSE_DL_IMPORT -g -O2 -Wall -Wstrict-prototypes -I/usr/include/python2.1 -I/usr/include/postgresql -DHAVE_CONFIG_H  -c ././pgmodule.c -o ./pgmodule.o

Note that the Cygwin PostgreSQL distribution installs libpq-fe.h and
libpq/libpq-fs.h in /usr/include/postgresql.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple